# generated by cabal-rpm-0.12.3
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cmark-gfm
%global pkgver %{pkg_name}-%{version}

%bcond_without tests

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        1%{?dist}
Summary:        Fast, accurate GitHub Flavored Markdown parser and renderer

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif
# End cabal-rpm deps
Provides:       bundled(cmark-gfm) = 0.29.0.gfm.3

%description
This package provides Haskell bindings for <https://github.com/github/cmark-gfm
libcmark-gfm>, the reference parser for <https://github.github.com/gfm/ GitHub
Flavored Markdown>, a fully specified variant of Markdown. It includes sources
for libcmark-gfm (0.29.0.gfm.3).


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md changelog


%changelog
* Thu Apr 14 2022 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- 0.2.3 bundles the C cmark-gfm-0.29.0.gfm.3 library which fixes CVE-2022-24724
  https://github.com/github/cmark-gfm/security/advisories/GHSA-mc3g-88wq-6f4x
- Resolves: #2074998

* Mon Jan 11 2021 Jens Petersen <petersen@redhat.com> - 0.2.2-2
- rebuild

* Mon Dec 14 2020 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- https://github.com/kivikakk/cmark-gfm-hs/releases/tag/0.2.2
- updates cbits to cmark-gfm-0.29.0.gfm.1 for CVE-2020-5238 (#1854329)
  https://github.com/github/cmark-gfm/security/advisories/GHSA-7gc6-9qr5-hc85
- fixes rhbz#1855805

* Fri Jun  1 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-4
- disable testsuite to restore the package hash

* Wed May 30 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-3
- bump release over pandoc

* Mon May 28 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.3-1
- spec file generated by cabal-rpm-0.12.3
- tests fail on big endian
